--
-- Database: `homefinancesystemtest`
--

--
-- Drop all Tables if they exist
--

drop TABLE IF EXISTS `account`;
drop TABLE IF EXISTS `category`;
drop TABLE IF EXISTS `general_data`;
drop TABLE IF EXISTS `transaction`;
drop TABLE IF EXISTS `user`;

--
-- Table structure for table `account`
--

CREATE TABLE `account` (
  `user_name` varchar(10) NOT NULL,
  `Description` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Table structure for table `category`
--

CREATE TABLE `category` (
  `user_name` varchar(10) NOT NULL,
  `value` varchar(37) DEFAULT NULL,
  `description` varchar(37) DEFAULT NULL,
  `Jan` decimal(5,2) DEFAULT NULL,
  `Feb` decimal(5,2) DEFAULT NULL,
  `Mar` decimal(5,2) DEFAULT NULL,
  `Apr` decimal(5,2) DEFAULT NULL,
  `May` decimal(5,2) DEFAULT NULL,
  `Jun` decimal(5,2) DEFAULT NULL,
  `Jul` decimal(5,2) DEFAULT NULL,
  `Aug` decimal(5,2) DEFAULT NULL,
  `Sep` decimal(5,2) DEFAULT NULL,
  `Oct` decimal(5,2) DEFAULT NULL,
  `Nov` decimal(5,2) DEFAULT NULL,
  `December` decimal(7,2) DEFAULT NULL,
  `expense` varchar(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Table structure for table `general_data`
--

CREATE TABLE `general_data` (
  `user_name` varchar(10) NOT NULL,
  `from_date` date NOT NULL,
  `to_date` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Table structure for table `transaction`
--

CREATE TABLE `transaction` (
  `user_name` varchar(10) NOT NULL,
  `account` varchar(30) NOT NULL,
  `date` date NOT NULL,
  `payee` varchar(30) NOT NULL,
  `category` varchar(40) NOT NULL,
  `payment` varchar(10) NOT NULL,
  `ref` varchar(10) NOT NULL,
  `description` varchar(50) NOT NULL,
  `status` varchar(10) NOT NULL,
  `income` decimal(7,2) NOT NULL,
  `expense` decimal(7,2) NOT NULL,
  `amount` decimal(9,0) NOT NULL,
  `balance` decimal(9,2) NOT NULL,
  `currency` varchar(5) NOT NULL,
  `id` int(7) NOT NULL,
  `sub_id` int(2) NOT NULL,
  `reconciled` varchar(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Table structure for table `user`
--

CREATE TABLE `user` (
  `name` text NOT NULL,
  `password` varchar(60) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `user`
--
ALTER TABLE `user`
  ADD UNIQUE KEY `name` (`name`) USING HASH;
